Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class IO.Verbosity

    java.lang.Object
      org.codehaus.groovy.tools.shell.IO.Verbosity

    class IO.Verbosity

Field Summary
`static Verbosity` | `DEBUG`
`static Verbosity` | `INFO`
`static Verbosity` | `QUIET`
`static Verbosity` | `VERBOSE`
`String` | `name`

Constructor Summary
`private IO.Verbosity(String name)`

Method Summary
`static Verbosity` | `forName(String name)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### DEBUG

    static final Verbosity DEBUG

### INFO

    static final Verbosity INFO

### QUIET

    static final Verbosity QUIET

### VERBOSE

    static final Verbosity VERBOSE

### name

    final String name

Constructor Detail

### IO.Verbosity

    private IO.Verbosity(String name)

Method Detail

### forName

    public static Verbosity forName(String name)

### toString

    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.